#ifndef XCBRUSHSIDE_H
#define XCBRUSHSIDE_H

#include "xasset.h"
#include "xcplane.h"

class XCBrushSide : public XAsset
{
public:
    XCBrushSide();
    ~XCBrushSide();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    XCPlane mPlane;
    uint mMaterialNum;
    qint16 mFirstAdjacentSideOffset;
    quint8 mEdgeCount;
};

#endif // XCBRUSHSIDE_H
